Skip to main content
PUT
cURL

Authorizations

Authorization
string
header
required

Admin API key (format: sk_admin_*) for organization-level operations

Path Parameters

appId
string
required

Unique identifier for a App. Format: app_[test_]{ksuid}

Pattern: ^app_(?:test_)?[a-zA-Z0-9]{27}$
Example:

"app_2DbBs7GWhGvVNJGrDXr5RG0mBWI"

Body

application/json
name
string

Human-readable name of the app

Minimum string length: 1
Example:

"Updated App Name"

Response

Update app configuration

id
string
required

Unique identifier for a App. Format: app_[test_]{ksuid}

Pattern: ^app_(?:test_)?[a-zA-Z0-9]{27}$
Example:

"app_2DbBs7GWhGvVNJGrDXr5RG0mBWI"

slug
string
required

App slug identifier

Example:

"my-app"

name
string
required

Human-readable name of the app

Example:

"My App"

status
enum<string>
required

App status

Available options:
active,
billing_paused
Example:

"active"

createdAt
string<date-time>
required

When the app was created

Example:

"2021-08-01T00:00:00Z"

updatedAt
string<date-time>
required

When the app was last updated

Example:

"2021-08-01T00:00:00Z"